diff debian/static/DEBIAN/postinst @ 9:640f620a55cf V2.1.3

Bugfixes for floating remote and debian upgrade
author Ivo Smits <Ivo@UCIS.nl>
date Wed, 20 Oct 2010 21:08:03 +0200
parents 65c01f57bdce
children
line wrap: on
line diff
--- a/debian/static/DEBIAN/postinst	Thu Oct 14 02:15:55 2010 +0200
+++ b/debian/static/DEBIAN/postinst	Wed Oct 20 21:08:03 2010 +0200
@@ -1,4 +1,6 @@
 #!/bin/sh
 if [ "$1" = "configure" ]; then
-	/usr/sbin/useradd -d /nonexistent -N -r -s /bin/false quicktun
+	if ! getent passwd quicktun >/dev/null; then
+		/usr/sbin/useradd -d /nonexistent -N -r -s /bin/false -g nogroup quicktun
+	fi
 fi